package com.qmth.boot.mybatis.service;

/**
 * SQL内容提供bean需要的接口
 */
public interface SqlProvider {

    /**
     * 获取SQL内容，支持多条SQL混合，会自动按照英文分号拆解<br/>
     * 若内容为空，则初始化服务会抛出异常
     *
     * @return
     */
    String get();
}
